#pragma once
#include "Entity.h"
class CS_MagicBubble :
    public ActionEntity
{
public:
    CS_MagicBubble(std::shared_ptr<Entity> target);
    void Step() override;
    std::weak_ptr<Entity> target;
};

